diff options
author | davidovski <david@davidovski.xyz> | 2022-04-12 12:48:46 +0100 |
---|---|---|
committer | davidovski <david@davidovski.xyz> | 2022-04-12 12:48:46 +0100 |
commit | 534ab7fc386021e227e3fb2ea2902af6a75159a1 (patch) | |
tree | 298b204e38376e1d5d92c117fc4ad3282f1cfc0d | |
parent | 02d1cfbbda20eb8ab9bbb256bf29e536bff4b746 (diff) |
fixed non-posix comparisonv1.2.2
-rw-r--r-- | src/install.sh | 4 | ||||
-rwxr-xr-x | src/xi.sh | 2 |
2 files changed, 3 insertions, 3 deletions
diff --git a/src/install.sh b/src/install.sh index 8631251..fb4ede1 100644 --- a/src/install.sh +++ b/src/install.sh @@ -69,9 +69,9 @@ run_postinstall () { fi if [ "$?" = "0" ]; then rm $file && - printf "${GREEN}run postinstall for $f!\n" + printf "${GREEN}${CHECKMARK} run postinstall for $f!\n" else - printf "${RED}failed running postinstall for $f!\n" + printf "${RED}${CROSSMARK} failed running postinstall for $f!\n" fi done fi @@ -130,7 +130,7 @@ if [ "$#" = "0" ]; then show_xipkg_stats else # showing stats doesn't require root, so we can only check when we are here - [ "$(id -u)" == "0" ] || { + [ "$(id -u)" = "0" ] || { printf "${RED}Please run as root!\n" exit 1 } |